misc/less - The NetBSD Packages Collection

Pager similar to more and pg

Less is a pager program more advanced than more(1). Its features include
backward movement, searching and highlighting, multiple files, bold and
underlining, key bindings (using lesskey(1)), customized tab stops,
filters for different file types, custom character sets, line numbering,
custom prompts, and many more.

Also, less does not have to read the entire input file before starting,
so with large input files it starts up faster than text editors like
vi(1).

This package also includes the lessecho command which can expand
metacharacters, such as * and ?, in filenames.

This version of less was written by and is maintained by Mark Nudelman.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfless-551.tgz
NetBSD 8.0earmv7hfless-551.tgz
NetBSD 8.0earmv7hfless-563.tgz
NetBSD 8.0i386less-551.tgz
NetBSD 8.0i386less-551.tgz
NetBSD 8.0i386less-563.tgz
NetBSD 8.0powerpcless-551.tgz
NetBSD 8.0powerpcless-551.tgz
NetBSD 8.0powerpcless-551.tgz
NetBSD 8.0x86_64less-551.tgz
NetBSD 8.0x86_64less-551.tgz
NetBSD 9.0aarch64less-563.tgz
NetBSD 9.0aarch64less-551.tgz
NetBSD 9.0aarch64less-551.tgz
NetBSD 9.0alphaless-551.tgz
NetBSD 9.0alphaless-551.tgz
NetBSD 9.0earmv6hfless-563.tgz
NetBSD 9.0earmv6hfless-551.tgz
NetBSD 9.0earmv6hfless-551.tgz
NetBSD 9.0earmv6hfless-551.tgz
NetBSD 9.0earmv7hfless-563.tgz
NetBSD 9.0earmv7hfless-551.tgz
NetBSD 9.0earmv7hfless-551.tgz
NetBSD 9.0earmv7hfless-551.tgz
NetBSD 9.0i386less-551.tgz
NetBSD 9.0i386less-551.tgz
NetBSD 9.0mips64ebless-551.tgz
NetBSD 9.0mips64ebless-551.tgz
NetBSD 9.0powerpcless-551.tgz
NetBSD 9.0powerpcless-551.tgz
NetBSD 9.0sparc64less-551.tgz
NetBSD 9.0sparc64less-551.tgz
NetBSD 9.0sparc64less-551.tgz
NetBSD 9.0sparcless-551.tgz
NetBSD 9.0x86_64less-551.tgz
NetBSD 9.0x86_64less-551.tgz
NetBSD 9.0x86_64less-563.tgz
NetBSD 9.0x86_64less-551.tgz
NetBSD 9.0x86_64less-551.tgz
NetBSD 9.0x86_64less-563.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

pcre
Enable Perl-compatible regular expressions.
regexp
Enable POSIX.2 regexp support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.